Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-audioread
%global oname   audioread

Summary:        Multi-library, cross-platform audio decoding in Python
Name:           python-module-audioread
Version:        0.6
Release:        alt1_2
License:        MIT
URL:            http://pypi.python.org/pypi/audioread/
Source0:        http://pypi.python.org/packages/source/a/audioread/audioread-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info
# MAD is optional
%filter_from_requires /^python2...mad./d

%description
Decode audio files using whichever backend is available. Among
currently supports backends are 
 o Gstreamer via gstreamer-python 
 o The standard library wave and aifc modules (for WAV and AIFF files)

%prep
%setup -q -n %{oname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc README.rst decode.py
%{python_sitelibdir_noarch}/audioread/
%{python_sitelibdir_noarch}/audioread-%{version}-*.egg-info

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_2
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_1
- initial fc import

